from vcScript import *
from vcHelpers.Output import *

comp = getComponent()
app = getApplication()
sim = getSimulation()

def OnStart():
  direction_signal.signal(True)
  direction_prop.Value = 'Forward'
  #conv.Direction = VC_PATH_FORWARD_AUTO


def OnSignal( signal ):
  if signal == direction_signal:
    if signal.Value:
      conv.Direction = VC_PATH_FORWARD_AUTO
      direction_prop.Value = 'Forward'
    else:
      conv.Direction = VC_PATH_BACKWARD_AUTO
      direction_prop.Value = 'Backward'

  elif signal == transition_signal and signal.Value:
    # 5 is VC_PATH_FORWARD_AUTO, 1 is VC_PATH_FORWARD
    # 6 is VC_PATH_BACKWARD_AUTO 2, is VC_PATH_BACKWARD
    if conv.Direction == 5:
      direction_prop.Value = 'Forward'
      direction_signal.signal(True)
    elif conv.Direction == 6:
      direction_prop.Value = 'Backward'
      direction_signal.signal(False)

  else:
    pass


def change_direction(arg):
  if arg.Value == 'Forward':
    conv.Direction = VC_PATH_FORWARD_AUTO
  elif arg.Value == 'Backward':
    conv.Direction = VC_PATH_BACKWARD_AUTO
  else:
    pass

conv = comp.findBehaviour('SCRIPT_PATHWAY')
transition_signal = comp.findBehaviour('SCRIPT_TRANSITION_SIGNAL')
direction_signal = comp.findBehaviour('SCRIPT_DIRECTION_SIGNAL')
direction_prop = comp.getProperty('SCRIPT_DIRECTION_PROPERTY')
direction_prop.OnChanged = change_direction