from vcApplication import *

localize = findCommand('netCommand')
localize.execute('SetLocalizationCommand', 'English', 'Python', 'TwoWayConveyorWizard', 'Text', "Two Way Conveyor Wizard")

def OnStart():
  cmduri = getApplicationPath() + 'two_way_conv_wizard.py'
  cmd = loadCommand("TwoWayConveyorWizard", cmduri)
  tooltipText = 'Add two way conveyor functionality to the selected component. \n' \
  ' - Adds frames to the top of component or allows you to choose existing frames\n'\
  ' - Connects path endpoints to other paths or adds interfaces to the path endpoints\n'\
  ' - Adds a signal and property to control the direction of the path\n'\
  ' - Adds an interface to connect sensors and other processor type components on the path\n'\
  ' - Adds Statistics behavior'


  addMenuItem(VC_MENU_MODELING_WIZARDS + '/Component Wizards', "Two Way Conveyor", -1, "TwoWayConveyorWizard", tooltipText, getCommandPath() + 'TwoWayConvWizard.svg')